OPENSSL_1.0.2 not found error seen in logs while starting Apache HTTPD

Solution Verified - Updated -

Issue

  • After installing httpd22 with mod_ssl22 from jbappplatform-6-x86_64-server-7-rpm repository and when "httpd22 -t" was executed to test syntax of configuration files, why does it return the following error :
httpd22: Syntax error on line 217 of /etc/httpd22/conf/httpd.conf: Syntax error on line 12 of /etc/httpd22/conf.d/ssl.conf: `Cannot load /etc/httpd22/modules/mod_ssl.so into server: /lib64/libcrypto.so.10: version 'OPENSSL_1.0.2' not found (required by /etc/httpd22/modules/mod_ssl.so)`

Environment

  • JBoss Enterprise Web Server (EWS)
    • 2.1.x
  • Red Hat Enterprise Linux
    • 6.x (httpd-2.2.26-55)
  • openssl-1.0.x
  • mod_ssl-2.2.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content